=== Contrib/fcptools/debian/changelog ===
fcp (0.4.7-1) unstable; urgency=low

  * Initial Release.

 -- Jay Oliveri <ilnero@gmx.net>  Thu,  9 May 2002 13:15:30 -0400
