=== Contrib/fcptools/debian/control ===
Source: fcp
Section: devel
Priority: optional
Maintainer: Jay Oliveri <ilnero@gmx.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: fcptools
Section: net
Architecture: any
Suggests: freenet
Description: Freenet Client Protocol Tools
 FCPTools include command line programs to insert and retrieve content
 from Freenet, a peer-to-peer network for anonymous publishing.
 .
 This package provides sample tools for publishing and retrieving
 (fcpput, fcpget, fcpputsite and fcpputsplit).  Also included is ezFCPlib,
 intended for more advanced Freenet clients.

Package: fcptools-dev
Section: devel
Architecture: any
Suggests: freenet
Depends: fcptools (= ${Source-Version})
Description: Freenet Client Protocol Tools - development
 FCPTools include command line programs to insert and retrieve content
 from Freenet, a peer-to-peer network for anonymous publishing.
 .
 This package includes the development files required to compile
 programs that use the ezFCPlib library.
